Loading...
Searching...
No Matches
Opm::Restart Class Reference

Load or save a state of a problem to/from the harddisk. More...

`#include <restart.hpp>`

## Public Member Functions

const std::string & | fileName () const
| Returns the name of the file which is (de-)serialized.
template<class Simulator>
void | serializeBegin (Simulator &simulator)
| Write the current state of the model to disk.
std::ostream & | serializeStream ()
| The output stream to write the serialized data.
void | serializeSectionBegin (const std::string &cookie)
| Start a new section in the serialized output.
void | serializeSectionEnd ()
| End of a section in the serialized output.
template<int codim, class Serializer, class GridView>
void | serializeEntities (Serializer &serializer, const GridView &gridView)
| Serialize all leaf entities of a codim in a gridView.
void | serializeEnd ()
| Finish the restart file.
template<class Simulator, class Scalar>
void | deserializeBegin (Simulator &simulator, Scalar t)
| Start reading a restart file at a certain simulated time.
std::istream & | deserializeStream ()
| The input stream to read the data which ought to be deserialized.
void | deserializeSectionBegin (const std::string &cookie)
| Start reading a new section of the restart file.
void | deserializeSectionEnd ()
| End of a section in the serialized output.
template<int codim, class Deserializer, class GridView>
void | deserializeEntities (Deserializer &deserializer, const GridView &gridView)
| Deserialize all leaf entities of a codim in a grid.
void | deserializeEnd ()
| Stop reading the restart file.

## Detailed Description

Load or save a state of a problem to/from the harddisk.

## Member Function Documentation

## deserializeEntities()

template<int codim, class Deserializer, class GridView>

void Opm::Restart::deserializeEntities | ( | Deserializer & | deserializer,
|  | const GridView & | gridView )

inline

Deserialize all leaf entities of a codim in a grid.

The actual work is done by Deserializer::deserialize(Entity)

## serializeEntities()

template<int codim, class Serializer, class GridView>

void Opm::Restart::serializeEntities | ( | Serializer & | serializer,
|  | const GridView & | gridView )

inline

Serialize all leaf entities of a codim in a gridView.

The actual work is done by Serializer::serialize(Entity)

The documentation for this class was generated from the following files:

- opm/models/io/restart.hpp
- opm/models/io/restart.cpp